%define		_modname	spidermonkey
%define		_status		stable
Summary:	%{_modname} - Spidermonkey JavaScript engine for PHP
Summary(pl.UTF-8):	%{_modname} - silnik JavaScript Spidermonkey dla PHP
Name:		php-pecl-%{_modname}
Version:	1.0.0
Release:	2
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	1a7a4043fa6c86bb7e3cb24e794c284b
Patch0:		lib64.patch
URL:		http://pecl.php.net/package/%{_modname}/
BuildRequires:	js185-devel
BuildRequires:	php-devel >= 4:5.3.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.3.0
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension allow you to embed Mozilla's Javascript engine
Spidermonkey in PHP.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
To rozszerzenie pozwala na osadzanie w PHP silnika Javascript Mozilli
- Spidermonkey.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
%ifarch %{x8664}
%patch0 -p1
%endif
mv %{_modname}-%{version}/* .

%build
# libtool 2.2 build fix
if [ -f '%{_aclocaldir}/ltsugar.m4' ]; then
	cat "%{_aclocaldir}/ltsugar.m4" >> "config.m4"
	cat "%{_aclocaldir}/ltversion.m4" >> "config.m4"
	cat "%{_aclocaldir}/lt~obsolete.m4" >> "config.m4"
	cat "%{_aclocaldir}/ltoptions.m4" >> "config.m4"
fi

phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_sysconfdir}/conf.d,%{php_extensiondir}}

install modules/%{_modname}.so $RPM_BUILD_ROOT%{php_extensiondir}
cat <<'EOF' > $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 73d627e
- use php(core) as dependency to require php version
- release 1 (by relup.sh)

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> b1d675f
Fix build on x86_64
Release 1

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> efdb8c8
Status is 'stable'

* Wed Aug 08 2012 Jan Rękorajski <baggins@pld-linux.org> d3d29ec
js185 is required

* Tue Aug 07 2012 Jan Rękorajski <baggins@pld-linux.org> 81b55bb
Updated to 1.0.0

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> dc6dc6b
- release 2 (by relup.sh)

* Sat Dec 31 2011 Adam Gołębiowski <adamg@pld-linux.org> 72ad22e
- updated to 0.1.4, proper summary

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> ba46137
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> ab1f518
- subdir drop (plz use template-*.spec for new spec creation)

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 1a343cf
- php epoch

* Mon Mar 16 2009 Elan Ruusamäe <glen@pld-linux.org> 49b9125
- js 1.7.0+ needed

* Sat Mar 14 2009 zergin <zergin@pld-linux.org> 7cefa9b
- New: spec file for SpiderMonkey PECL extension

